org.hibernate.search.elasticsearch.analyzer.definition.impl

## Class ElasticsearchAnalysisComponentDefinitionContextImpl<D extends AnalysisDefinition>

- java.lang.Object
- - org.hibernate.search.elasticsearch.analyzer.definition.impl.ElasticsearchAnalysisComponentDefinitionContextImpl<D>

- All Implemented Interfaces:
    ElasticsearchAnalysisComponentDefinitionContext, ElasticsearchTypedAnalysisComponentDefinitionContext, ElasticsearchAnalysisDefinitionRegistryPopulator
  Direct Known Subclasses:
    ElasticsearchCharFilterDefinitionContextImpl, ElasticsearchTokenFilterDefinitionContextImpl, ElasticsearchTokenizerDefinitionContextImpl

      public abstract class ElasticsearchAnalysisComponentDefinitionContextImpl<D extends AnalysisDefinition>
      extends Object
      implements ElasticsearchTypedAnalysisComponentDefinitionContext, ElasticsearchAnalysisComponentDefinitionContext, ElasticsearchAnalysisDefinitionRegistryPopulator

  Author:
    Yoann Rodiere

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected D` | `definition`
    `protected static Log` | `LOG`
    `protected String` | `name`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ElasticsearchAnalysisComponentDefinitionContextImpl(String name, D definition)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElasticsearchTypedAnalysisComponentDefinitionContext` | `param(String name, boolean... values)` Set the value of a parameter to a given array of booleans.
    `ElasticsearchTypedAnalysisComponentDefinitionContext` | `param(String name, boolean value)` Set the value of a parameter to a given boolean.
    `ElasticsearchTypedAnalysisComponentDefinitionContext` | `param(String name, Number... values)` Set the value of a parameter to a given array of numbers (int, long, float, double, ...).
    `ElasticsearchTypedAnalysisComponentDefinitionContext` | `param(String name, Number value)` Set the value of a parameter to a given number (int, long, float, double, ...).
    `ElasticsearchTypedAnalysisComponentDefinitionContext` | `param(String name, String... values)` Set the value of a parameter to a given array of strings.
    `ElasticsearchTypedAnalysisComponentDefinitionContext` | `param(String name, String value)` Set the value of a parameter to a given string.
    `ElasticsearchTypedAnalysisComponentDefinitionContext` | `type(String name)` Set the Elasticsearch type to use for the definition.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.search.elasticsearch.analyzer.definition.impl.ElasticsearchAnalysisDefinitionRegistryPopulator

      `populate`

- - ### Field Detail

    - #### LOG

          protected static final Log LOG

    - #### name

          protected final String name

    - #### definition

          protected final D extends AnalysisDefinition definition

  - ### Constructor Detail

    - #### ElasticsearchAnalysisComponentDefinitionContextImpl

          protected ElasticsearchAnalysisComponentDefinitionContextImpl(String name,
                                                                        D definition)

  - ### Method Detail

    - #### type

          public ElasticsearchTypedAnalysisComponentDefinitionContext type(String name)

      Description copied from interface: `ElasticsearchAnalysisComponentDefinitionContext`
      Set the Elasticsearch type to use for the definition.
      Specified by:
        `type` in interface `ElasticsearchAnalysisComponentDefinitionContext`
      Parameters:
        `name` - The value for the 'type' parameter in the Elasticsearch definition.
      Returns:
        A context allowing to define parameters.

    - #### param

          public ElasticsearchTypedAnalysisComponentDefinitionContext param(String name,
                                                                            String value)

      Description copied from interface: `ElasticsearchTypedAnalysisComponentDefinitionContext`
      Set the value of a parameter to a given string.

      Supported parameters depend on the `type` being used.

      Specified by:
        `param` in interface `ElasticsearchTypedAnalysisComponentDefinitionContext`
      Parameters:
        `name` - The name of the parameter.
        `value` - The value of the parameter.
      Returns:
        This context, allowing to chain calls.

    - #### param

          public ElasticsearchTypedAnalysisComponentDefinitionContext param(String name,
                                                                            String... values)

      Description copied from interface: `ElasticsearchTypedAnalysisComponentDefinitionContext`
      Set the value of a parameter to a given array of strings.

      Supported parameters depend on the `type` being used.

      Specified by:
        `param` in interface `ElasticsearchTypedAnalysisComponentDefinitionContext`
      Parameters:
        `name` - The name of the parameter.
        `values` - The value of the parameter.
      Returns:
        This context, allowing to chain calls.

    - #### param

          public ElasticsearchTypedAnalysisComponentDefinitionContext param(String name,
                                                                            boolean value)

      Description copied from interface: `ElasticsearchTypedAnalysisComponentDefinitionContext`
      Set the value of a parameter to a given boolean.

      Supported parameters depend on the `type` being used.

      Specified by:
        `param` in interface `ElasticsearchTypedAnalysisComponentDefinitionContext`
      Parameters:
        `name` - The name of the parameter.
        `value` - The value of the parameter.
      Returns:
        This context, allowing to chain calls.

    - #### param

          public ElasticsearchTypedAnalysisComponentDefinitionContext param(String name,
                                                                            boolean... values)

      Description copied from interface: `ElasticsearchTypedAnalysisComponentDefinitionContext`
      Set the value of a parameter to a given array of booleans.

      Supported parameters depend on the `type` being used.

      Specified by:
        `param` in interface `ElasticsearchTypedAnalysisComponentDefinitionContext`
      Parameters:
        `name` - The name of the parameter.
        `values` - The value of the parameter.
      Returns:
        This context, allowing to chain calls.

    - #### param

          public ElasticsearchTypedAnalysisComponentDefinitionContext param(String name,
                                                                            Number value)

      Description copied from interface: `ElasticsearchTypedAnalysisComponentDefinitionContext`
      Set the value of a parameter to a given number (int, long, float, double, ...).

      Supported parameters depend on the `type` being used.

      Specified by:
        `param` in interface `ElasticsearchTypedAnalysisComponentDefinitionContext`
      Parameters:
        `name` - The name of the parameter.
        `value` - The value of the parameter.
      Returns:
        This context, allowing to chain calls.

    - #### param

          public ElasticsearchTypedAnalysisComponentDefinitionContext param(String name,
                                                                            Number... values)

      Description copied from interface: `ElasticsearchTypedAnalysisComponentDefinitionContext`
      Set the value of a parameter to a given array of numbers (int, long, float, double, ...).

      Supported parameters depend on the `type` being used.

      Specified by:
        `param` in interface `ElasticsearchTypedAnalysisComponentDefinitionContext`
      Parameters:
        `name` - The name of the parameter.
        `values` - The value of the parameter.
      Returns:
        This context, allowing to chain calls.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved